%define	version 1.32
%define release %mkrel 1

%define major 0
%define libname %mklibname gpg-error %{major}
%define develname %mklibname gpg-error -d

Summary:	Library containing common error values for GnuPG components
Name:		libgpg-error
Version:	%{version}
Release:	%{release}
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnupg.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source0:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.xz

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package	-n %{libname}
Summary:	Library containing common error values for GnuPG components
Group:		System/Libraries
Provides:	%{name} = %{version}

%description	-n %{libname}
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package -n %{develname}
Summary:	Development related files of %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname gpg-error 0 -d
Provides:	%mklibname gpg-error 0 -d

%description -n %{develname}
%{name} is a library that defines common error values for all
GnuPG components.  Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains headers and other necessary files to develop 
or compile applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%multiarch_binaries %{buildroot}%{_bindir}/gpg-error-config

%find_lang %{name}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%doc COPYING COPYING.LIB
%{_libdir}/lib*.so.*
%{_datadir}/libgpg-error/errorref.txt

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{multiarch_bindir}/gpg-error-config
%{_datadir}/aclocal/*.m4
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/common-lisp/source/gpg-error
%{_datadir}/info/gpgrt.info.bz2
%{_datadir}/man/man1/gpg-error-config.1.bz2


%changelog
* Sun Oct 28 2018 adrianomorselli <adrianomorselli> 1.32-1uplos2018
- update
